Skip to main content

GET /insights/aggregated/snds

GET 

insights/aggregated/snds

Retrieve aggregated SNDS Postmaster statistics, including GREEN, YELLOW, RED reputation counts, grouped by time period (last 7 days and 30 days) across all or filtered IP and domain insight records

Query Parameters​

ip string
Filter results by IP address substring

domain string
Filter results by domain name substring

sources string
Filter results by one or more data sources. Accepts a comma-separated list of source names

dmarc string
Filter results by DMARC type. Accepts a comma-separated list of values

seedlisting string
Filter results by seedlisting placement. Accepts a comma-separated list of values

gp string
Filter results by Google Postmaster domain reputation. Accepts a comma-separated list of reputation values

gp_compliance string
Filter results by the current Google Postmaster v2 compliance status. Accepts a comma-separated list of values

snds string
Filter results by SNDS status. Accepts a comma-separated list of status values

blocklisted string
Filter results by blocklist status. Accepts a comma-separated list of status values

ip_only boolean
Filter results to include only IP-based insights (excludes domain-only records)

domain_only boolean
Filter results to include only domain-based insights (excludes IP-only records)

profile_id string
Filter results to only include IPs and domains that belong to the specified profile

Returns

  • green_7dnumber
    Total number of recipients where SNDS with GREEN status in the last 7 days
  • green_30dnumber
    Total number of recipients where SNDS with GREEN status in the last 30 days
  • yellow_7dnumber
    Total number of recipients where SNDS with YELLOW status in the last 7 days
  • yellow_30dnumber
    Total number of recipients where SNDS with YELLOW status in the last 30 days
  • red_7dnumber
    Total number of recipients where SNDS with RED status in the last 7 days
  • red_30dnumber
    Total number of recipients where SNDS with RED status in the last 30 days
Error Codes

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error